# @author Marek Tunkl <tunklmar+golem@gmail.com>
# This file contains description of ./Discharge.sh parameters for parser
# Each parameter like '--infrastructure.bt_ecd' is separate yaml document 
###
# Yaml file has following structure
# ---
# command: diagnoscics name for ./Dirigent.sh
# title: Optional human readable name for diagnoscits/infractructure
# parameters:
#   - name: parameter_name
#     type: int
#     default: 100
# ---
###
# supported types are:
# str        - normal string
# int, float - Golem Remote adds slider thist needs min, max, step values
#            - for float, please use brackets '0.1' to ambiguity due float <-> str conversion 
# switch     - Golem Remote renders multuple options (usually 'on', 'off')
#            - this type requires options array
#            - in options_alt_text you can add alternative text for options
# waveform   - Golem Remote provides simple waveform editor
#            - options field is used for presets and options_alt_text for their names
# shot_no    - Shot number (or -1) is accepted
#            - in brackets you can add highligter 'shot_no[vacuum]'
#            - Golem Remote will add selector for shot numbers in current session
#            - and highlights the vacuum shots
# binary[n]  - n-long binary number
###
# all parameters also accepts optional fields like
# (they are rendered in Golem Remote webpage and does not affect other behaviour)
# title: Optional human readable name for parameter
# unit: unit for prameter
# comment: Longer comment for the parameter (shows as tooltip)
command: diagnostics.langballpenprobe
title: Ball Pen Probe
parameters:
  - name: r_lp_tip
    type: int
    min: 40 
    max: 120
    default: 85
    unit: mm

  - name: S_mode_lp
    type: switch
    options : ['float','isat'] 
    default: 'float'

  - name: R_lp_div_osc
    type: str
    default: '10e3'
    use_from_level: 4

  - name: R_lp_div_nosc
    type: str
    default: '10e6'
    use_from_level: 4

  - name: U_lp
    type: int
    min: -50 
    max: 200
    step: 1
    default: 0
    unit: V
    use_from_level: 3

  - name: R_lp_isat
    type: str
    default: '-1'
    use_from_level: 4

  - name: R_bpp_div_osc
    type: str
    default: '10e3'
    use_from_level: 4

  - name: R_bpp_div_nosc
    type: str
    default: '1e6'
    use_from_level: 4
